#include "util.h"

#include <cstddef>

#include <Eigen/src/Core/util/Meta.h>

#include <opencv2/core.hpp>
#include <opencv2/core/mat.hpp>
#include <opencv2/opencv.hpp>

#include "ArmarXCore/core/logging/Logging.h"

namespace armarx::navigation
{
    void
    dumpToFile(const Eigen::MatrixXf& grid)
    {

        ARMARX_INFO << "Dumping to file.";

        ARMARX_INFO << "Shape: " << grid.rows() << ", " << grid.cols();
        cv::Size size(grid.rows(), grid.cols());

        cv::Mat1f mat(size);

        for (size_t r = 0; r < grid.rows(); r++)
        {
            for (size_t c = 0; c < grid.cols(); c++)
            {
                mat(cv::Point(r, c)) = grid(r, c);
            }
        }


        cv::imwrite("/tmp/grid.exr", mat);
    }
} // namespace armarx::navigation
